Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrnv2.service
Class ServiceFactory

    java.lang.Object
      be.ehealth.businessconnector.consultrnv2.service.ServiceFactory

    public class ServiceFactory

extends Object

Field Summary
`static String` | `CONSULTRN_V2_CBSS_PERSON_SERVICE_XSD`
`static String` | `CONSULTRN_V2_PERSON_SERVICE_XSD`

Constructor Summary
`ServiceFactory()`

Method Summary
`static GenericRequest` | `getConsultrnCBSSPersonService(SAMLToken token, String soapAction)`
`static GenericRequest` | `getConsultrnPersonService(SAMLToken token, String soapAction)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSULTRN_V2_PERSON_SERVICE_XSD

    public static final String CONSULTRN_V2_PERSON_SERVICE_XSD

See Also:
  Constant Field Values

### CONSULTRN_V2_CBSS_PERSON_SERVICE_XSD

    public static final String CONSULTRN_V2_CBSS_PERSON_SERVICE_XSD

See Also:
  Constant Field Values

Constructor Detail

### ServiceFactory

    public ServiceFactory()

Method Detail

### getConsultrnPersonService

    public static GenericRequest getConsultrnPersonService(SAMLToken token,
                                                           String soapAction)
                                                    throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### getConsultrnCBSSPersonService

    public static GenericRequest getConsultrnCBSSPersonService(SAMLToken token,
                                                               String soapAction)
                                                        throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.